Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 214227

Summary: Review Request: vala - A modern programming language for GNOME
Product: [Fedora] Fedora Reporter: Michel Alexandre Salim <michel.salim>
Component: Package ReviewAssignee: Jeffrey C. Ollie <jeff>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideFlags: kevin: fedora-cvs+
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-10 01:14:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779    

Description Michel Alexandre Salim 2006-11-06 18:17:51 UTC
Spec URL: http://hircus.org/fedora/vala/vala.spec
SRPM URL: http://hircus.org/fedora/vala/vala-0.0.5-1.src.rpm
Description:
Vala is a new programming language that aims to bring modern programming
language features to GNOME developers without imposing any additional
runtime requirements and without using a different ABI compared to
applications and libraries written in C.

valac, the Vala compiler, is a self-hosting compiler that translates
Vala source code into C source and header files. It uses the GObject
type system to create classes and interfaces declared in the Vala source
code. It's also planned to generate GIDL files when gobject-
introspection is ready.

The syntax of Vala is similar to C#, modified to better fit the GObject
type system.

Comment 1 Jeffrey C. Ollie 2006-11-06 19:26:47 UTC
* source files match upstream
ec3c9b717c49bd4fb207d368fe296475  vala-0.0.5.tar.bz2
ec3c9b717c49bd4fb207d368fe296475  vala-0.0.5.tar.bz2.1
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development & fc6, i386).
* package installs properly.  Sample code from home page builds and executes
properly.
* rpmlint has only acceptable complaints.
W: vala-devel no-documentation
* %check is not present; There is some test code in the distribution but no
framework to actually run the tests.
* shared libraries are present; ldconfig is called properly.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel subpackage.
* unversioned .so file is in the -devel subpackage.
* pkconfig file in in the -devel subpackage
* no libtool .la droppings.

APPROVED

Comment 2 Michel Alexandre Salim 2006-11-06 20:14:05 UTC
That's the fastest review I've ever seen - thanks

Comment 3 Michel Lind 2007-12-04 05:55:07 UTC
Package Change Request
======================
Package Name: vala
New Branches: EL-5


Comment 4 Kevin Fenzi 2007-12-04 19:48:12 UTC
cvs done.